Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025857
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-02-27 16:412014-03-12 11:11
ReporterjecharriView Statuspublic 
Assigned Torafademiguel 
PriorityimmediateResolutionfixedFixed in VersionRR14Q2
StatusclosedFix in branchpiFixed in SCM revisione23252ba181c
ProjectionnoneETAnoneTarget VersionRR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression levelProduction - QA Approved
Regression date2014-01-09
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/4ebf5b0c8422 [^]
Triggers an Emergency PackNo
Summary

0025857: Generic product does not work as it is expected in RMP31 and live

DescriptionGeneric product does not work as it is expected in RMP31 and live
Steps To Reproduce-Create a generic product and 2 variants using product characteristics

-Add to one store price list and assortment
* the generic product should not be added into a price list, so error javascript is returned.

-login to Web POS

-try to add a generic product.

You will see that you are getting a javascript error in live and in RMP31 you are able to add a generic product when it should not be allowed
Proposed Solution-Restore the behaviour that we had in RMP30:
when you try to add a generic product, Web POS goes to tab search and display all the variants of generic product
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0064731)
hgbot (developer)
2014-03-03 13:55

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: ab1461dc8d8d2d9daecc67d300b065304303bc7f
Author: Rafa de Miguel <rafael.demiguel <at> openbravo.com>
Date: Mon Mar 03 13:54:59 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/ab1461dc8d8d2d9daecc67d300b065304303bc7f [^]

fixed issue 25857: Generic product does not work as it is expected in RMP31 and live

---
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-product-browser.js
---
(0064785)
guilleaer (developer)
2014-03-04 09:57

Verified
(0064856)
malsasua (developer)
2014-03-05 17:09

reopen to populate regresion fields
(0064857)
malsasua (developer)
2014-03-05 17:14

reclosed
(0064924)
hgbot (developer)
2014-03-06 15:44

Repository: erp/pmods/org.openbravo.mobile.core.cirque
Changeset: ab1461dc8d8d2d9daecc67d300b065304303bc7f
Author: Rafa de Miguel <rafael.demiguel <at> openbravo.com>
Date: Mon Mar 03 13:54:59 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cirque/rev/ab1461dc8d8d2d9daecc67d300b065304303bc7f [^]

fixed issue 25857: Generic product does not work as it is expected in RMP31 and live

---
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-product-browser.js
---
(0064951)
malsasua (developer)
2014-03-07 08:11

reclosed
(0064969)
hgbot (developer)
2014-03-10 04:37

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: e23252ba181c8ca8ed8a248bca37b03d4d4eb02c
Author: Rafa de Miguel <rafael.demiguel <at> openbravo.com>
Date: Mon Mar 03 13:54:59 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/e23252ba181c8ca8ed8a248bca37b03d4d4eb02c [^]

fixed issue 25857: Generic product does not work as it is expected in RMP31 and live

---
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-product-browser.js
---
(0065037)
hgbot (developer)
2014-03-11 12:06

Repository: erp/pmods/org.openbravo.mobile.core.cirque
Changeset: e23252ba181c8ca8ed8a248bca37b03d4d4eb02c
Author: Rafa de Miguel <rafael.demiguel <at> openbravo.com>
Date: Mon Mar 03 13:54:59 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cirque/rev/e23252ba181c8ca8ed8a248bca37b03d4d4eb02c [^]

fixed issue 25857: Generic product does not work as it is expected in RMP31 and live

---
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-product-browser.js
---

- Issue History
Date Modified Username Field Change
2014-02-27 16:41 jecharri New Issue
2014-02-27 16:41 jecharri Assigned To => marvintm
2014-02-27 16:41 jecharri Triggers an Emergency Pack => No
2014-02-27 16:43 jecharri Regression level => Production - QA Approved
2014-02-27 18:10 malsasua Steps to Reproduce Updated View Revisions
2014-03-03 13:54 rafademiguel Assigned To marvintm => rafademiguel
2014-03-03 13:55 hgbot Checkin
2014-03-03 13:55 hgbot Note Added: 0064731
2014-03-03 13:55 hgbot Status new => resolved
2014-03-03 13:55 hgbot Resolution open => fixed
2014-03-03 13:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/ab1461dc8d8d2d9daecc67d300b065304303bc7f [^]
2014-03-04 09:57 guilleaer Review Assigned To => guilleaer
2014-03-04 09:57 guilleaer Note Added: 0064785
2014-03-04 09:57 guilleaer Status resolved => closed
2014-03-04 09:57 guilleaer Fixed in Version => RMP32
2014-03-05 17:09 malsasua Note Added: 0064856
2014-03-05 17:09 malsasua Status closed => new
2014-03-05 17:09 malsasua Resolution fixed => open
2014-03-05 17:09 malsasua Fixed in Version RR14Q2 =>
2014-03-05 17:13 malsasua Regression date => 2014-01-09
2014-03-05 17:13 malsasua Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/4ebf5b0c8422 [^]
2014-03-05 17:13 malsasua Status new => scheduled
2014-03-05 17:13 malsasua fix_in_branch => pi
2014-03-05 17:14 malsasua Status scheduled => resolved
2014-03-05 17:14 malsasua Resolution open => fixed
2014-03-05 17:14 malsasua Note Added: 0064857
2014-03-05 17:14 malsasua Status resolved => closed
2014-03-05 17:14 malsasua Fixed in Version => RR14Q2
2014-03-06 15:44 hgbot Checkin
2014-03-06 15:44 hgbot Note Added: 0064924
2014-03-06 15:44 hgbot Status closed => resolved
2014-03-06 15:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/ab1461dc8d8d2d9daecc67d300b065304303bc7f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cirque/rev/ab1461dc8d8d2d9daecc67d300b065304303bc7f [^]
2014-03-07 08:11 malsasua Note Added: 0064951
2014-03-07 08:11 malsasua Status resolved => closed
2014-03-10 04:37 hgbot Checkin
2014-03-10 04:37 hgbot Note Added: 0064969
2014-03-10 04:37 hgbot Status closed => resolved
2014-03-10 04:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cirque/rev/ab1461dc8d8d2d9daecc67d300b065304303bc7f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/e23252ba181c8ca8ed8a248bca37b03d4d4eb02c [^]
2014-03-10 04:38 priyam Status resolved => closed
2014-03-11 12:06 hgbot Checkin
2014-03-11 12:06 hgbot Note Added: 0065037
2014-03-11 12:06 hgbot Status closed => resolved
2014-03-11 12:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/e23252ba181c8ca8ed8a248bca37b03d4d4eb02c [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cirque/rev/e23252ba181c8ca8ed8a248bca37b03d4d4eb02c [^]
2014-03-12 11:10 malsasua Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker